import 'package:json_annotation/json_annotation.dart';

part 'product_content_model.g.dart';

@JsonSerializable()
class ProductContentModel {
  final String? language;
  final String? name;
  final String? detail;
  @JsonKey(name: 'term_and_condition')
  final String? termAndCondition;

  ProductContentModel({
    this.language,
    this.name,
    this.detail,
    this.termAndCondition,
  });

  factory ProductContentModel.fromJson(Map<String, dynamic> json) => _$ProductContentModelFromJson(json);

  get imageUrl => null;
  Map<String, dynamic> toJson() => _$ProductContentModelToJson(this);
}
